Skip to main content
GET
/
partner
/
v1
/
day-ahead-prices
/
limited
Energy prices Day-Ahead Market
curl --request GET \
  --url https://api.rabot-charge.de/partner/v1/day-ahead-prices/limited \
  --header 'Authorization: Bearer <token>'
{
  "isSuccess": true,
  "message": null,
  "error": [
    {
      "severity": "Error",
      "code": "validation-failed",
      "message": "First name is required for non-business customers.",
      "details": null
    }
  ],
  "refUri": "<string>",
  "data": {
    "pricesUnit": {
      "main": "None",
      "per": "None"
    },
    "pricesKind": "Gross",
    "from": "2023-11-07T05:31:56Z",
    "to": "2023-11-07T05:31:56Z",
    "prices": [
      {
        "at": "2023-11-07T05:31:56Z",
        "price": 123
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.rabot.energy/llms.txt

Use this file to discover all available pages before exploring further.

Returns energy prices based on day-ahead market (EPEX spot auction, for DE-LU area), with a maximum of 48-hour interval. All timestamps are in Europe/Berlin time zone. Prices are returned as ct/kWh, excluding VAT. The prices are determined every day for the following day, and are available via the API after around 16:00. By default, the API returns the data for today and tomorrow, but you can chose a different time interval using the from request parameter to return the limited time series for that date.
The data is sourced from the Bundesnetzagentur SMARD.de platform, and is provided under Creative Commons Attribution 4.0 license, see https://www.smard.de/home/datennutzung.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string<date-time>

Beginning date of the interval, assumed current date, if not provided

to
string<date-time>

End date of the interval, assumed current date + 48 hours, if not provided

granularity
enum<string>
default:QuarterHourly

Granularity of returned price points Granularities for price points.

Available options:
Hourly,
QuarterHourly

Response

200 - application/json

OK

API response DTO with data.

isSuccess
boolean
read-only

Success status of the operation based on status code (2xx range).

Example:

true

message
string | null

Optional message to provide additional information about the operation result.

Example:

null

error
object[] | null

Optional error details in case of an error(s).

refUri
string<uri> | null
read-only

Optional reference URI to point to the resulting resource.

data
object

Returned data instance.